%define	realname	cfengine
%define	name	cfengine1
%define	version	1.6.5
%define	release	5mdk
%define	url	ftp://ftp.iu.hioslo.no/pub/cfengine

Summary:	Cfengine helps administer remote BSD and System-5-like systems
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://www.iu.hio.no/cfengine/
Source0:	%{url}/%{realname}-%{version}.tar.bz2
Source1:	cfengine.conf
Source2:	cfengine.cron
Source3:	cfd.conf
Source4:	cfd.init
Patch0:		cfengine-1.6.5-all2sbin.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq:		rpm-helper /sbin/install-info
BuildRequires:	flex bison openssl-devel db3-devel tetex-dvips texinfo tetex-latex
BuildRequires:	autoconf2.5 automake1.7
Provides: %{realname} = %version-%release
Conflicts: %{realname} > %version-%release

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
%serverbuild
aclocal-1.7
FORCE_AUTOCONF_2_5=1 autoconf
%configure --datadir=/etc
%make
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/%{name}
install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/cfengine/cfengine.conf
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_sysconfdir}/cfengine/cfd.conf
mkdir -p $RPM_BUILD_ROOT/var/spool/cfengine
install -m755 %{SOURCE2} -D $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/cfengine
install -m755 %{SOURCE4} -D $RPM_BUILD_ROOT%{_initrddir}/cfd
# Kick files from /usr/share/cfengine/, there are in /usr/share/doc/cfengine also (JH)
rm -f $RPM_BUILD_ROOT/usr/share/cfengine/*
cd doc
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
cd ..
rm -rf rpmdoc
mkdir rpmdoc
mv $RPM_BUILD_ROOT/usr/share/cfengine/{doc,html} rpmdoc
rm -f $RPM_BUILD_ROOT/usr/share/info/dir
%define info_files cfengine-Tutorial cfengine-Reference

%post
%_post_service cfd
for f in %{info_files}; do
  /sbin/install-info %{_infodir}/$f.info.bz2 %{_infodir}/dir
done

%preun
%_preun_service cfd
if [ "$1" = 0 ]; then
    for f in %{info_files}; do
        /sbin/install-info --delete %{_infodir}/$f.info.bz2 %{_infodir}/dir
    done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.ps
%doc inputs/cf*
%doc rpmdoc/html/
%defattr(-,root,root)
%{_infodir}/*
%{_mandir}/man*/*
%dir /var/spool/cfengine

%{_sbindir}/*

%config(noreplace) %{_sysconfdir}/cfengine/cfengine.conf
%config(noreplace) %{_sysconfdir}/cfengine/cfd.conf
%config(noreplace) %{_initrddir}/cfd
%config(noreplace) %{_sysconfdir}/cron.daily/cfengine

%changelog
* Tue Feb 08 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.6.5-5mdk
- reimport as cfengine1

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-4mdk
- force use of autoconf2.5 and automake1.4
- be sure to build everything in %%build (therefore run make twice)
- wipe out buildroot at the beginning of %%install
- fix permissions on docs
- update prereq on /sbin/chkconfig to rpm-helper
- cosmetics

* Mon Oct 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.5-3mdk
- fix build

* Fri May  2 2003 root <holm@theorie.physik.uni-goettingen.de> 1.6.5-2mdk
- Build requires: tetex-latex

* Thu Aug 15 2002 Juergen Holm <holm@theorie.physik.uni-goettingen.de> 1.6.5-1mdk
- Update to 1.6.5 to fix classes bug, and Checksumdatabase bug

* Fri Apr 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.3-8mdk
- Patch2: Fix build with gcc-3.1+. Don't include /usr/local/* in
  include and lib search path. Fix comment typo.

* Fri Feb 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-7mdk
- URL
- fixed installation of the doc

* Wed Nov 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-6mdk
- added texinfo and tetex-dvips to BuildRequires

* Sat Oct 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-5mdk
- recompile for db3.3

* Tue Jul  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-4mdk
- rebuild for db3.2

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-3mdk
- use the new rpm macros for servers.

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-2mdk
- stop cfd on uninstall

* Fri Mar 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.2-1mdk
- new version

* Tue Jan  2 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.6.1-2mdk
- fixed install

* Tue Jan  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.1-1mdk
- new version

* Thu Oct 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-5mdk
- Add security fix for syslog.

* Mon Aug 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-4mdk
- config files in noreplace mode.
- enable ssl

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-3mdk
- Move backups to /var/sppol.
- Merge debian patches.
- Recognize a Mandrake sysem.
- BM.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-2mdk
- Don't compile with SSL.

* Wed Mar  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-1mdk
- mandrake version.
